### Enumeration

# Clutter InputDeviceToolType

#### Declaration

    enum Clutter.InputDeviceToolType

#### Description [src]

Defines the type of tool that a `ClutterInputDeviceTool` represents.8.

#### Members

`CLUTTER_INPUT_DEVICE_TOOL_NONE`

  No tool.

  - Value: `0`
  - Available since: 14
`CLUTTER_INPUT_DEVICE_TOOL_PEN`

  The tool is a pen.

  - Value: `1`
  - Available since: 14
`CLUTTER_INPUT_DEVICE_TOOL_ERASER`

  The tool is an eraser.

  - Value: `2`
  - Available since: 14
`CLUTTER_INPUT_DEVICE_TOOL_BRUSH`

  The tool is a brush.

  - Value: `3`
  - Available since: 14
`CLUTTER_INPUT_DEVICE_TOOL_PENCIL`

  The tool is a pencil.

  - Value: `4`
  - Available since: 14
`CLUTTER_INPUT_DEVICE_TOOL_AIRBRUSH`

  The tool is an airbrush.

  - Value: `5`
  - Available since: 14
`CLUTTER_INPUT_DEVICE_TOOL_MOUSE`

  The tool is a mouse.

  - Value: `6`
  - Available since: 14
`CLUTTER_INPUT_DEVICE_TOOL_LENS`

  The tool is a lens.

  - Value: `7`
  - Available since: 14